Create one contact address
post
/fscmRestApi/resources/11.13.18.05/suppliers/{SupplierId}/child/contacts/{SupplierContactId}/child/addresses
Request
Path Parameters
-
SupplierContactId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
SupplierId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AddressName: string
Title:
Address NameMaximum Length:255Name of the supplier address associated with a supplier contact. -
SupplierAddressId: integer
(int64)
Value that uniquely identifies the supplier address associated to a supplier contact.
-
SupplierContactAddressId: integer
Value that uniquely identifies the supplier address and supplier contact association.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : suppliers-contacts-addresses-item-response
Type:
Show Source
object-
AddressName: string
Title:
Address NameMaximum Length:255Name of the supplier address associated with a supplier contact. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who associated the supplier address with a supplier contact. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueDate and time when the application associated the supplier address with a supplier contact. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueDate when the supplier address and supplier contact association row was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the supplier address and supplier contact association row. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SupplierAddressId: integer
(int64)
Value that uniquely identifies the supplier address associated to a supplier contact.
-
SupplierContactAddressId: integer
Value that uniquely identifies the supplier address and supplier contact association.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to create a supplier address.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/suppliers/SupplierId/child/contacts/SupplierContactId/child/addresses"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.
{
"SupplierAddressId" : 300100184731483,
"AddressName" : "Warehouse"
}
Example Response Body
The following example includes the contents of the response body in JSON format:
{
"SupplierContactAddressId": 300100184837463,
"SupplierAddressId": 300100184731483,
"AddressName": "Warehouse",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/suppliers/300100184731456/child/contacts/300100184731497/child/addresses/300100184837463",
"name": "addresses",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/suppliers/300100184731456/child/contacts/300100184731497/child/addresses/300100184837463",
"name": "addresses",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/suppliers/300100184731456/child/contacts/300100184731497",
"name": "contacts",
"kind": "item"
}
]
}